### GET /2.0/app-list Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/app-list ```markdown ### Responses #### 200 - successful operation **AppList** - **apps** (array (AppData)) (required) Array items: - **name** (string) (required) - **description** (string) (required) - **imageUrl** (string) - **checksum** (string) (required) - **path** (string) (required) - **modules** (array (ModuleData)) (required) Array items: - **name** (string) (required) - **checksum** (string) (required) - **path** (string) (required) #### 401 - Unauthorized ### Example Usage ```bash curl -X GET "/client//2.0/app-list" ``` ``` -------------------------------- ### GET /2.0/libs Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/libs ```markdown ### Responses #### 200 - successful operation **LibraryList** - **allLibs** (array (LibraryData)) (required) Array items: - **id** (string) - **name** (string) (required) - **version** (string) (required) - **vendor** (string) - **isDefault** (boolean) (required) - **zipAvailable** (boolean) (required) - **includeSnippet** (string) - **comment** (string) - **sessionId** (string) - **dependsOn** (array (LibRef)) (required) Array items: - **id** (string) (required) - **name** (string) (required) - **version** (string) (required) - **isReferenced** (object) #### 401 - Unauthorized ### Example Usage ```bash curl -X GET "/client//2.0/libs" ``` ``` -------------------------------- ### GET /2.0/modules Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/modules ```markdown ### Responses #### 200 - The module list **ModuleList** - **modules** (array (ModuleForClient)) (required) Array items: - **name** (string) (required) - **checksum** (string) (required) - **path** (string) (required) #### 401 - Unauthorized ### Example Usage ```bash curl -X GET "/client//2.0/modules" ``` ``` -------------------------------- ### GET /2.0/systemLibs/{libName}/{version} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/systemLibs/{libName}/{version} ```markdown ### Parameters - **libName** (string, path, required): System Library Name (OpenUI5 or SapUI5) - **version** (string, path, required): Library Version as major.minor ### Responses #### 200 - Successful ZIP download #### 401 - Unauthorized #### 404 - Library not found or not stored **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/systemLibs/{libName}/{version}" ``` ``` -------------------------------- ### GET /2.0/systemLibs/{libId} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/systemLibs/{libId} ```markdown ### Parameters - **libId** (string, path, required): ID of Library ### Responses #### 200 - Successful ZIP download #### 401 - Unauthorized #### 404 - Library not found or not stored **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/systemLibs/{libId}" ``` ``` -------------------------------- ### GET /2.0/apps/{appName} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/apps/{appName} ```markdown ### Parameters - **appName** (string, path, required): Name of application - **standAlone** (boolean, query, optional): Return application structure for Stand-Alone mode - **baseUrl** (string, query, optional): Set Base URL for API in Application (for StandAlone or Hosted Mode) ### Responses #### 200 - Successful ZIP download #### 401 - Unauthorized #### 403 - No Permissions **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) #### 404 - App not found **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/apps/{appName}?standAlone=false&baseUrl=string" ``` ``` -------------------------------- ### GET /2.0/version Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/version ```markdown ### Responses #### 200 - VersionInfo object **VersionInfo** - **version** (string) (required) ### Example Usage ```bash curl -X GET "/client//2.0/version" ``` ``` -------------------------------- ### POST /3.0/workflow-runtime/workflowInstance/start Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Start a new Workflow Instance and set initial variable values ```markdown ### Request Body **Content-Type:** application/json - **processData** (object): Properties should be the variable names that should be set as initial values of the workflow instance, the values should be the JSON values of the variables. (example: "{\n \"Variable1\": 123,\n \"Variable2\": \"test\"\n}\n") - **workflowId** (string) (example: "Your_Workflow_ID") ### Responses #### 200 - Return the Workflow Instance ID **WorkflowInstanceStart** - **workflowInstanceId** (string) (example: "ee3ea75e-e042-442e-b91a-8beb1f00c802") - **version** (integer) (example: 1) #### 403 - Forbidden, if the user is not permitted to start workflows with the given workflowId. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 404 - Not Found, if no workflow can be found for given workflowId property. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 422 - Unprocessable Entity, if the given processData is not valid for the variables of the workflow. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X POST "/client//3.0/workflow-runtime/workflowInstance/start" \ -H "Content-Type: application/json" \ -d '{ "processData": "{\n \"Variable1\": 123,\n \"Variable2\": \"test\"\n}\n", "workflowId": "Your_Workflow_ID" }' ``` ``` -------------------------------- ### GET /2.0/AuthIdentityProviders Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/AuthIdentityProviders ```markdown ### Responses #### 200 - identity providers object **AuthIdentityProviderList** - **identityProviders** (array (AuthIdentityProvider)) (required) Array items: - **name** (string) (required) - **mechanism** (string) (required) - **description** (string) - **hideOnLogin** (boolean) - **redirectEndpoint** (string) (required) - **icon** (string) ### Example Usage ```bash curl -X GET "/client//2.0/AuthIdentityProviders" ``` ``` -------------------------------- ### GET /2.0/template/{folderName} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/template/{folderName} ```markdown ### Parameters - **folderName** (string, path, required): Name of Folder ### Responses #### 200 - successful operation **JValue** #### 401 - Unauthorized #### 404 - Template folder not found **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/template/{folderName}" ``` ``` -------------------------------- ### GET /2.0/libs/{libId} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/libs/{libId} ```markdown ### Parameters - **libId** (string, path, required): ID of Library ### Responses #### 200 - Successful ZIP download #### 401 - Unauthorized #### 404 - Library not found or not stored **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/libs/{libId}" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/workflows/instances Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Get a paginated list of workflow instances for multiple workflow ids ```markdown ### Parameters - **workflowIDs** (string, query, optional): Comma seperated list of workflow ids that should be included in the response. If the parameter is not present, all workflow ids the user is permitted for will be included. - **instanceStatus** (string, query, optional): Comma seperated list of workflow instance states. Valid values are: Running, Finished, Error, Stopped, Terminated - **assignedUsers** (string, query, optional): Comma seperated list of user names that are assigned to the current user task of the workflow. Workflow instances matching given users or groups will be returned. - **assignedGroups** (string, query, optional): Comma seperated list of group names that are assigned to the current user task of the workflow. Workflow instances matching given users or groups will be returned. - **startedBy** (string, query, optional): Comma seperated list of user names that started the workflow. Workflow instances matching given users will be returned. - **variableName** (string, query, optional): Name of a variable that should be the only variable included in the result (as JSON field "variableValue") - **variableValue** (string, query, optional): Supposed value of the variable referenced by the variableName query parameter. The search is case insensitive. - **orderBy** (string, query, optional): Controls how the results will be sorted. If not given, the results will be ordered by Start Time Descending. Valid orders are: StartTime, UpdateTime and Workflow (ordering by workflow id and version). To control the direction of the sorting, the keyword Asc or Desc can be added, e.g.: Workflow Asc. Multiple different orders can be combined if they are seperated by comma, e.g.: Workflow Desc, StartTime Asc. - **top** (integer, query, optional): Parameter controlling page size of returned results - **skip** (integer, query, optional): Parameter controlling the number of list entries that will be skipped to get the returned results ### Responses #### 200 - The response will contain a paginated list of details of all workflow instances of the given workflow ids including active tasks, variable definitions, and variable values that are sorted by the start date of the workflow instance (descending). **WorkflowInstanceList** - **instances** (array (WorkflowInstanceDetails)) Array items: - **id** (string) - **workflow** (object) - **workflowId** (string) - **name** (string) - **version** (integer) - **description** (string) - **currentOutcome** (object): Current outcome of workflow instance if set - **name** (string) - **backgroundColor** (string): Hex color code of background color of outcome (example: "#000000") - **textColor** (string): Hex color code of the outcome text (example: "#FFFFFF") - **currentUserTask** (object): Details of current user task of workflow instance. If the current activity of the workflow instance is no user task, this property is not present. - **activityName** (string) - **claimed** (boolean) - **claimingUser** (string): Username of the currently claiming user. If the user task is not claimed, this property is not present. - **assignedUsers** (array (string)): List of user names assigned to user task - **assignedGroups** (array (string)): List of group names assigned to user task - **simplifierModule** (string): Name of the simplifier module configured for the user task. This property will only be included if the user is assigned to the task. - **taskUrl** (string): URL to access the configured user task module and submit the task. This property will only be included if the user is assigned to the task. - **currentActivity** (object) - **activityType** (string (START|FINISH|EXECUTEBUSINESSOBJECT|EXECUTECONNECTORCALL|NOTIFICATION|USERTASK|CONDITION|SPLIT|EXECUTEWORKFLOWINSTANCE)) ("START"|"FINISH"|"EXECUTEBUSINESSOBJECT"|"EXECUTECONNECTORCALL"|"NOTIFICATION"|"USERTASK"|"CONDITION"|"SPLIT"|"EXECUTEWORKFLOWINSTANCE") - **id** (string) - **activityName** (string) - **startedAt** (string): Timestamp (ISO 8601) - **startedBy** (string): User name of starting user - **lastChangeAt** (string): Timestamp (ISO 8601) - **lastChangeBy** (string): User that submitted the last user task - **state** (string) - **variableData** (object): Only included if variableName parameter is not present - **definitions** (array (object)) Array items: - **id** (string): Technical name of variable - **displayName** (string) - **description** (string) - **dataTypeName** (string) - **data** (object): Properties will be variable names with their current values - **variableValue** (unknown): Only included if the variableName parameter is present. The value of this property will be the current value of the variable. - **count** (integer): Number of existing workflow instances matching filters (example: 1) #### 400 - Bad Request, if the variableValue query parameter was used without the variableName parameter. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 422 - Unprocessable Entity, if the variable name of the filter could not be found. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/workflows/instances?workflowIDs=string&instanceStatus=string&assignedUsers=string&assignedGroups=string&startedBy=string&variableName=string&variableValue=string&orderBy=string&top=10&skip=0" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/tasks Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml List of User Task for the current User ```markdown ### Parameters - **top** (integer, query, optional): Parameter controlling page size of returned results - **skip** (integer, query, optional): Parameter controlling the number of list entries that will be skipped to get the returned results ### Responses #### 200 - The list will only contain tasks that are available for groups assigned to the user. Not all tasks may contain a outcome or a claiming user. An outcome will only be set, if an activity prior to the user task set an outcome, text color for displaying the outcome is calculated from the background color of the outcome. The claiming user will be set if a user already claimed the task. If the top provided is provided the returned list will be reduced to the requested number of entries, otherwise the list will contain all available entries. **WorkflowUserTaskList** - **tasks** (array (object)) Array items: - **workflowInstanceId** (string) (example: "ee3ea75e-e042-442e-b91a-8beb1f00c802") - **activityId** (string) (example: "c262afa8-70b1-4eea-bc08-303c3c549bc8") - **currentActivityTime** (string): Timestamp (ISO 8601) (example: "2023-06-27T07:37:39.129111Z") - **workflow** (object) - **workflowId** (string) (example: "InvoiceApproval") - **name** (string) (example: "InvoiceApproval") - **version** (integer) (example: 1) - **displayName** (string) (example: "Gather Invoice Data by User Input") - **description** (string) (example: "Gather Invoice Data by User Input") - **simplifierModule** (string) (example: "CreateInvoice") - **count** (integer) (example: 1) ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/tasks?top=0&skip=0" ``` ``` -------------------------------- ### GET /2.0/appDeps/{appName} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/appDeps/{appName} ```markdown ### Parameters - **appName** (string, path, required): Name of application ### Responses #### 200 - successful operation **AllDependencies** - **requiredLibs** (array (Dependency)) (required) Array items: - **id** (string) (required) - **name** (string) (required) - **version** (string) (required) - **checksum** (string) (required) - **relativePath** (string) (required) - **snippet** (string) - **requiredModules** (array (ModuleDependency)) (required) Array items: - **name** (string) (required) - **checksum** (string) (required) - **path** (string) (required) - **requiredLibs** (array (Dependency)) (required) Array items: - **requiredSystemLib** (object) (required) #### 401 - Unauthorized #### 403 - No Permissions **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) #### 404 - App not found **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/appDeps/{appName}" ``` ``` -------------------------------- ### GET /2.0/template/{folderName}/{templateName} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/template/{folderName}/{templateName} ```markdown ### Parameters - **folderName** (string, path, required): Name of Folder - **templateName** (string, path, required): Name of Template ### Responses #### 200 - successful operation **JValue** #### 401 - Unauthorized #### 404 - Template, folder or parameter data type not found **ApiFailureResponseJson** - **message** (string) (required) - **success** (boolean) (required) - **errorCode** (string) - **errorArgs** (array (string)) - **details** (object) (required) ### Example Usage ```bash curl -X GET "/client//2.0/template/{folderName}/{templateName}" ``` ``` -------------------------------- ### GET /2.0/ping Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/ping ```markdown ### Responses #### 200 - Successful **Ping_response** - **msg** (string) (required) #### 401 - Unauthorized ### Example Usage ```bash curl -X GET "/client//2.0/ping" ``` ``` -------------------------------- ### GET /2.0/serverSettings/passwordPolicy Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for GET /2.0/serverSettings/passwordPolicy ```markdown ### Responses #### 200 - The password policy **PublicPasswordPolicy** - **CanContainUserParts** (boolean) (required) - **LowerCaseCount** (integer (int32)) (required) - **LowerCaseCountEnabled** (boolean) (required) - **MinLength** (integer (int32)) (required) - **MinLengthEnabled** (boolean) (required) - **NumberCount** (integer (int32)) (required) - **NumberCountEnabled** (boolean) (required) - **Symbols** (boolean) (required) - **UpperCaseCount** (integer (int32)) (required) - **UpperCaseCountEnabled** (boolean) (required) #### 401 - Unauthorized ### Example Usage ```bash curl -X GET "/client//2.0/serverSettings/passwordPolicy" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/workflowInstance/{workflowInstanceId} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Get details of workflow instance with variables and active task ```markdown ### Parameters - **workflowInstanceId** (string, path, required) - **variableName** (string, query, optional) ### Responses #### 200 - The response will contain details of the requested workflow instance including variable definitions and current variable values. **WorkflowInstanceDetails** - **id** (string) - **workflow** (object) - **workflowId** (string) - **name** (string) - **version** (integer) - **description** (string) - **currentOutcome** (object): Current outcome of workflow instance if set - **name** (string) - **backgroundColor** (string): Hex color code of background color of outcome (example: "#000000") - **textColor** (string): Hex color code of the outcome text (example: "#FFFFFF") - **currentUserTask** (object): Details of current user task of workflow instance. If the current activity of the workflow instance is no user task, this property is not present. - **activityName** (string) - **claimed** (boolean) - **claimingUser** (string): Username of the currently claiming user. If the user task is not claimed, this property is not present. - **assignedUsers** (array (string)): List of user names assigned to user task - **assignedGroups** (array (string)): List of group names assigned to user task - **simplifierModule** (string): Name of the simplifier module configured for the user task. This property will only be included if the user is assigned to the task. - **taskUrl** (string): URL to access the configured user task module and submit the task. This property will only be included if the user is assigned to the task. - **currentActivity** (object) - **activityType** (string (START|FINISH|EXECUTEBUSINESSOBJECT|EXECUTECONNECTORCALL|NOTIFICATION|USERTASK|CONDITION|SPLIT|EXECUTEWORKFLOWINSTANCE)) ("START"|"FINISH"|"EXECUTEBUSINESSOBJECT"|"EXECUTECONNECTORCALL"|"NOTIFICATION"|"USERTASK"|"CONDITION"|"SPLIT"|"EXECUTEWORKFLOWINSTANCE") - **id** (string) - **activityName** (string) - **startedAt** (string): Timestamp (ISO 8601) - **startedBy** (string): User name of starting user - **lastChangeAt** (string): Timestamp (ISO 8601) - **lastChangeBy** (string): User that submitted the last user task - **state** (string) - **variableData** (object): Only included if variableName parameter is not present - **definitions** (array (object)) Array items: - **id** (string): Technical name of variable - **displayName** (string) - **description** (string) - **dataTypeName** (string) - **data** (object): Properties will be variable names with their current values - **variableValue** (unknown): Only included if the variableName parameter is present. The value of this property will be the current value of the variable. #### 403 - Forbidden, if the user is not permitted to access the workflow. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 404 - Not Found, if no workflow can be found for given workflowInstanceId. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 422 - Unprocessable Entity, if the variable name of the filter could not be found. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/workflowInstance/{workflowInstanceId}?variableName=string" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/tasks/finished Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml List finished User Task ```markdown ### Parameters - **top** (integer, query, optional): Parameter controlling page size of returned results - **skip** (integer, query, optional): Parameter controlling the number of list entries that will be skipped to get the returned results ### Responses #### 200 - The list will only contain tasks that are finished, but not all tasks may contain an outcome. An outcome will only be set, if any of the activities prior to the user task set an outcome, text color for displaying the outcome is calculated from the background color of the outcome. The completingUser will be set to the username that submitted the task. If the top provided is provided the returned list will be reduced to the requested number of entries, otherwise the list will contain all available entries. **WorkflowFinishedUserTaskList** - **tasks** (array (object)) Array items: - **workflow** (object) - **workflowId** (string) (example: "InvoiceApproval") - **name** (string) (example: "InvoiceApproval") - **version** (integer) (example: 1) - **completingUser** (string) (example: "user@simplifier.io") - **completingTime** (string): Timestamp (ISO 8601) (example: "2023-06-30T08:23:01.27446Z") - **displayName** (string) (example: "Gather Invoice Data by User Input") - **description** (string) (example: "Gather Invoice Data by User Input") - **outcome** (object) - **backgroundColor** (string): Hex color code of background color of outcome (example: "#ffb200") - **name** (string) (example: "InvoiceDataCaptured") - **textColor** (string): Hex color code of the outcome text (example: "#000000") - **count** (integer) (example: 1) ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/tasks/finished?top=0&skip=0" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/tasks/{workflowInstanceId}/{activityId} Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml List of input variables available for a user task ```markdown ### Parameters - **workflowInstanceId** (string, path, required) - **activityId** (string, path, required) ### Responses #### 200 - The response will contain readable and writeable variables with their current value available for the user task. **WorkflowInstanceActivity** - **dataTypes** (object) (example: "{\n \"User_attributes_Struct\": {\n \"name\": \"User_attributes_Struct\",\n \"namespace\": \"\",\n \"description\": \"auto generated data type\",\n \"category\": \"struct\",\n \"constraints\": { },\n \"fields\": {\n \"description\": {\n \"name\": \"description\",\n \"dataTypeFQN\": \"String\",\n \"optional\": true,\n \"description\": \"auto generated field\"\n },\n \"name\": {\n \"name\": \"name\",\n \"dataTypeFQN\": \"String\",\n \"optional\": true,\n \"description\": \"auto generated field\"\n }\n }\n }\n}\n") - **DataTypeName** (object): Name of the data type with namespace - **name** (string): name of data type - **namespace** (string): namespace of data type - **description** (string) - **category** (string (base|domain|collection|struct|any)) ("base"|"domain"|"collection"|"struct"|"any") - **fields** (object): fields of a struct data type containing name, dataTypeFQN, optional and description of each field - **constraints** (object): object containing constraints of data type - **collectionDataTypeFQN** (string): full qualified name (namespace/name) of collection item data type - **baseDataType** (string): name of base data type the domain datatype was extended from - **variables** (object) - **variableDefinitions** (array (object)): definitions of all variables available to the user task (example: "[\n {\n \"id\": \"InvoiceAmount\",\n \"displayName\": \"InvoiceAmount\",\n \"description\": \"The amount of the invoice\",\n \"dataTypeName\": \"Float\",\n \"editable\": true,\n \"optional\": true\n },\n {\n \"id\": \"InvoiceDate\",\n \"displayName\": \"InvoiceDate\",\n \"dataTypeName\": \"Date\",\n \"editable\": true,\n \"optional\": true\n },\n {\n \"id\": \"Vendor\",\n \"displayName\": \"Vendor\",\n \"dataTypeName\": \"String\",\n \"editable\": true,\n \"optional\": true\n }\n]\n") Array items: - **displayName** (string) - **dataTypeName** (string): name of data type including namespace - **editable** (boolean) - **optional** (boolean) - **id** (string): technical name of variable - **variableData** (object): Object composed from variable names as properties with their current values as properties. (example: "{ \"Vendor\": \"test\", \"InvoiceDate\": null, \"InvoiceAmount\": 123.0 }\n") - **task** (object) - **activityId** (string) (example: "c262afa8-70b1-4eea-bc08-303c3c549bc8") - **activityDisplayName** (string) (example: "Gather Invoice Data") - **activityDescription** (string) (example: "Gather Invoice Data by User Input") - **taskStartTime** (string): Timestamp (ISO 8601) (example: "2023-06-27T07:37:39.129111Z") - **claimingUser** (string) (example: "admin") - **workflow** (object) - **workflowInstanceStartTime** (string): Timestamp (ISO 8601) (example: "2023-06-27T07:37:39.090702Z") - **workflowName** (string) (example: "Invoice Approval") - **workflowVersion** (integer) (example: 1) - **workflowInstanceId** (string) (example: "ee3ea75e-e042-442e-b91a-8beb1f00c802") - **workflowId** (string) (example: "InvoiceApproval") - **outcomes** (object) - **currentOutcome** (object) - **id** (string): Technical id of outcome (example: "abc67123-5dfe-2a79-b965-ebd1a671c90a") - **name** (string): Display name of outcome (example: "Started") - **backgroundColor** (string): Hex color code of background color of outcome (example: "#AAB2FF") - **possibleOutcomes** (array (object)) (example: "[\n {\n \"id\": \"8a667c6f-5f1e-4a79-a989-eaf9be21bb4f\",\n \"name\": \"InvoiceDataCaptured\",\n \"backgroundColor\": \"#ffb200\",\n \"index\": 0\n },\n {\n \"id\": \"d48ea1cc-826d-45eb-9be9-982935d3b9b9\",\n \"name\": \"InvoiceDataError\",\n \"backgroundColor\": \"#bbcc00\",\n \"index\": 1\n }\n]\n") Array items: - **backgroundColor** (string): Hex color code of background color of outcome - **name** (string): Display name of outcome - **id** (string): Technical id of outcome - **index** (integer): order number of outcome - **autoFields** (object) - **autoFieldDefinitions** (array (object)) (example: "[\n { \"autoFieldName\": \"CurrentWorkflowOutcome\", \"dataTypeName\": \"String\" },\n { \"autoFieldName\": \"CurrentWorkflowOutcomeName\", \"dataTypeName\": \"String\" }\n]\n") Array items: - **autoFieldName** (string) - **dataTypeName** (string): name of data type of auto field - **autoFieldData** (object): object containing a map of auto field name to value (example: "{\n \"CurrentWorkflowOutcome\": \"abc67123-5dfe-2a79-b965-ebd1a671c90a\",\n \"CurrentWorkflowOutcomeName\": \"Started\"\n}\n") #### 404 - Not Found, if no workflow can be found for given workflowInstanceId or activityId. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 409 - Conflict, if the user is not permitted to access the activity, the activity is no longer active, or the workflow instance is not running. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/tasks/{workflowInstanceId}/{activityId}" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/workflows/{workflowId}/instances Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Get a paginated list of workflow instances of the given workflow id ```markdown ### Parameters - **workflowId** (string, path, required) - **instanceStatus** (string, query, optional): Comma seperated list of workflow instance states. Valid values are: Running, Finished, Error, Stopped, Terminated - **assignedUsers** (string, query, optional): Comma seperated list of user names that are assigned to the current user task of the workflow. Workflow instances matching given users or groups will be returned. - **assignedGroups** (string, query, optional): Comma seperated list of group names that are assigned to the current user task of the workflow. Workflow instances matching given users or groups will be returned. - **startedBy** (string, query, optional): Comma seperated list of user names that started the workflow. Workflow instances matching given users will be returned. - **variableName** (string, query, optional): Name of a variable that should be the only variable included in the result (as JSON field "variableValue") - **variableValue** (string, query, optional): Supposed value of the variable referenced by the variableName query parameter. The search is case insensitive. - **orderBy** (string, query, optional): Controls how the results will be sorted. If not given, the results will be ordered by Start Time Descending. Valid orders are: StartTime, UpdateTime and Workflow (ordering by workflow id and version). To control the direction of the sorting, the keyword Asc or Desc can be added, e.g.: Workflow Asc. Multiple different orders can be combined if they are seperated by comma, e.g.: Workflow Desc, StartTime Asc. - **top** (integer, query, optional): Parameter controlling page size of returned results - **skip** (integer, query, optional): Parameter controlling the number of list entries that will be skipped to get the returned results ### Responses #### 200 - The response will contain a paginated list of details of all workflow instances of the given workflow id including active tasks, variable definitions, and variable values that are sorted by the start date of the workflow instance (descending). **WorkflowInstanceList** - **instances** (array (WorkflowInstanceDetails)) Array items: - **id** (string) - **workflow** (object) - **workflowId** (string) - **name** (string) - **version** (integer) - **description** (string) - **currentOutcome** (object): Current outcome of workflow instance if set - **name** (string) - **backgroundColor** (string): Hex color code of background color of outcome (example: "#000000") - **textColor** (string): Hex color code of the outcome text (example: "#FFFFFF") - **currentUserTask** (object): Details of current user task of workflow instance. If the current activity of the workflow instance is no user task, this property is not present. - **activityName** (string) - **claimed** (boolean) - **claimingUser** (string): Username of the currently claiming user. If the user task is not claimed, this property is not present. - **assignedUsers** (array (string)): List of user names assigned to user task - **assignedGroups** (array (string)): List of group names assigned to user task - **simplifierModule** (string): Name of the simplifier module configured for the user task. This property will only be included if the user is assigned to the task. - **taskUrl** (string): URL to access the configured user task module and submit the task. This property will only be included if the user is assigned to the task. - **currentActivity** (object) - **activityType** (string (START|FINISH|EXECUTEBUSINESSOBJECT|EXECUTECONNECTORCALL|NOTIFICATION|USERTASK|CONDITION|SPLIT|EXECUTEWORKFLOWINSTANCE)) ("START"|"FINISH"|"EXECUTEBUSINESSOBJECT"|"EXECUTECONNECTORCALL"|"NOTIFICATION"|"USERTASK"|"CONDITION"|"SPLIT"|"EXECUTEWORKFLOWINSTANCE") - **id** (string) - **activityName** (string) - **startedAt** (string): Timestamp (ISO 8601) - **startedBy** (string): User name of starting user - **lastChangeAt** (string): Timestamp (ISO 8601) - **lastChangeBy** (string): User that submitted the last user task - **state** (string) - **variableData** (object): Only included if variableName parameter is not present - **definitions** (array (object)) Array items: - **id** (string): Technical name of variable - **displayName** (string) - **description** (string) - **dataTypeName** (string) - **data** (object): Properties will be variable names with their current values - **variableValue** (unknown): Only included if the variableName parameter is present. The value of this property will be the current value of the variable. - **count** (integer): Number of existing workflow instances matching filters (example: 1) #### 400 - Bad Request, if the variableValue query parameter was used without the variableName parameter. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 422 - Unprocessable Entity, if the variable name of the filter could not be found. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/workflows/{workflowId}/instances?instanceStatus=string&assignedUsers=string&assignedGroups=string&startedBy=string&variableName=string&variableValue=string&orderBy=string&top=10&skip=0" ``` ``` -------------------------------- ### GET /3.0/workflow-runtime/workflowInstance/{workflowInstanceId}/tasks Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Get list of finished user tasks of workflow instance ```markdown ### Parameters - **workflowInstanceId** (string, path, required) ### Responses #### 200 - The response will contain the list of finished user tasks including variable values before and after the user task **WorkflowInstanceFinishedTasks** - **tasks** (array (object)) Array items: - **activityId** (string) (example: "7ce1b2d1-1b15-494b-936c-65f397365cf4") - **displayName** (string) (example: "Task 1") - **description** (string) (example: "The first user task") - **user** (string): Name of user that submitted the task (example: "admin") - **outcome** (object): Outcome the user task resolved to - **name** (string) (example: "Outcome1") - **backgroundColor** (string): Hex color code of background color of outcome (example: "#000000") - **textColor** (string): Hex color code of the outcome text (example: "#FFFFFF") - **timestamp** (string): Timestamp (ISO 8601) (example: "2024-03-14T17:15:51.078091+01:00") - **action** (string (SUBMIT|DRAFT)) (example: "SUBMIT") ("SUBMIT"|"DRAFT") - **hasVariableChanges** (boolean) (example: true) - **variableUpdates** (array (object)) (example: "[\n {\n \"name\": \"TestInt\",\n \"displayName\": \"TestInt\",\n \"description\": \"An integer variable\",\n \"variableType\": \"integer\",\n \"oldValue\": null,\n \"newValue\": 124312434,\n \"valueChanged\": true\n },\n {\n \"name\": \"TestString\",\n \"displayName\": \"TestString\",\n \"variableType\": \"string\",\n \"oldValue\": \"test\",\n \"newValue\": \"test\",\n \"valueChanged\": true\n }\n]\n") Array items: - **name** (string): Technical name of variable - **displayName** (string) - **description** (string) - **variableType** (string (any|complex|string|integer|boolean|date|float)) ("any"|"complex"|"string"|"integer"|"boolean"|"date"|"float") - **oldValue** (unknown): JSON value of variable before user task - **newValue** (unknown): JSON value of variable after user task - **valueChanged** (boolean): Flag if this variable was contained in the submit request of the user task #### 403 - Forbidden, if the user is not permitted to access the workflow. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") #### 404 - Not Found, if no workflow can be found for given workflowInstanceId. **WorkflowErrorMessage** - **message** (string) (example: "Error message string") ### Example Usage ```bash curl -X GET "/client//3.0/workflow-runtime/workflowInstance/{workflowInstanceId}/tasks" ``` ``` -------------------------------- ### Schema: WorkflowInstanceStart Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml Schema definition for WorkflowInstanceStart ```markdown ## Schema: WorkflowInstanceStart Schema definition for WorkflowInstanceStart **Type:** object - **workflowInstanceId** (string) (example: "ee3ea75e-e042-442e-b91a-8beb1f00c802") - **version** (integer) (example: 1) ``` -------------------------------- ### POST /2.0/log/WebView Source: https://tsystems-eval.simplifier.cloud/client/api-docs/api.yaml API endpoint for POST /2.0/log/WebView ```markdown ### Request Body **Content-Type:** */* - **logLevel** (string) (required) - **details** (object) (required) ### Responses #### 200 - Mobile Client WebView logging successful **MobileLogResponse** - **msg** (string) (required) ### Example Usage ```bash curl -X POST "/client//2.0/log/WebView" \ -H "Content-Type: application/json" \ -d '{ "logLevel": "string", "details": "value" }' ``` ```